Skip to main content
GET
Get folder

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

folderId
string<uuid>
required

The UUID of the folder to retrieve. Use the List folders endpoint to retrieve folder IDs.

Query Parameters

userId
string<uuid>

Organization API key required. The membership ID of the user to act as.

Response

The requested folder

id
string<uuid>
required

Unique identifier for the folder

name
string
required

Display name of the folder

path
string
required

Full path to the folder, including parent folders

url
string
required

URL to view the folder in Omni

breadcrumbRoot
boolean
required

Whether breadcrumbs for content in this folder start here

labels
string[]
required

Labels applied to the folder